/*******************************************************************************
*  Reference Model
*  Sample program for BLDC motor vector control
*
*  CPU:TMPM370
*
*-------------------------------------------------------------------------------

********************************************************************************/
#ifndef _D_DRIVER_H_INCLUDED
#define _D_DRIVER_H_INCLUDED

#undef EXTERN
#ifdef DEFINE_APP
#define EXTERN
#else
#define EXTERN  extern
#endif

extern	VAR16	R_DebugOut_Counter;
extern	UVAR16	DAC_data[4];
extern	UVAR8	SG_SW_data[4];			/* SW1~4 data and bafa */


/*===================================================================*
      Proto Type Definition
 *===================================================================*/
EXTERN	void	D_Detect_Rotor_Position(void);
EXTERN	void	D_Control_Speed(void);
EXTERN	void	Out_data(void);
EXTERN	void	H_Encoder(void);


#undef	EXTERN
#endif /* _D_DRIVER_H_INCLUDED */
